### org.jfree.layouting.util

# Class AttributeMap

- `java.lang.Object`
- - `org.jfree.layouting.util.AttributeMap`

Implemented Interfaces:
  Cloneable, Serializable

Known Direct Subclasses:
  LazyAttributeMap

`public class AttributeMap`
`extends java.lang.Object`
`implements Serializable, Cloneable`

Creation-Date: 09.04.2006, 16:12:13

Author:
  Thomas Morgner

  ## Constructor Summary

  `AttributeMap()`

  `AttributeMap(AttributeMap copy)`

  ## Method Summary

  `Object`

  `clone()`

  `protected void`

  `copyInto(AttributeMap copy)`

  `AttributeMap`

  `createUnmodifiableMap()`

  `Object`

  `getAttribute(String namespace, String attribute)`

  `Map`

  `getAttributes(String namespace)`

  `long`

  `getChangeTracker()`

  `Object`

  `getFirstAttribute(String attribute)`

  `String[]`

  `getNameSpaces()`

  `boolean`

  `isEmpty()`

  `boolean`

  `isReadOnly()`

  `void`

  `makeReadOnly()`

  `Object`

  `setAttribute(String namespace, String attribute, Object value)`

  `protected Object`

  `setAttributeInternal(String namespace, String attribute, Object value)`

## Constructor Details

### AttributeMap

    public AttributeMap()

### AttributeMap

    public AttributeMap(AttributeMap copy)

## Method Details

### clone

    public Object clone()
                throws CloneNotSupportedException

### copyInto

    protected void copyInto(AttributeMap copy)

### createUnmodifiableMap

    public AttributeMap createUnmodifiableMap()

### getAttribute

    public Object getAttribute(String namespace,
                               String attribute)

### getAttributes

    public Map getAttributes(String namespace)

### getChangeTracker

    public long getChangeTracker()

### getFirstAttribute

    public Object getFirstAttribute(String attribute)

### getNameSpaces

    public String[] getNameSpaces()

### isEmpty

    public boolean isEmpty()

### isReadOnly

    public boolean isReadOnly()

### makeReadOnly

    public void makeReadOnly()

### setAttribute

    public Object setAttribute(String namespace,
                               String attribute,
                               Object value)

### setAttributeInternal

    protected Object setAttributeInternal(String namespace,
                                          String attribute,
                                          Object value)